unit CommCtrlSub;

{$IMPORTEDDATA OFF}
{$MINENUMSIZE 4}

// declared only Unicode version

interface

uses Windows;

type
  TInitCommonControlsEx = record
    dwSize: DWORD;
    dwICC: DWORD;
  end;

  LVCOLUMN = record
    mask: UINT;
    fmt: Integer;
    cx: Integer;
    pszText: PWideChar;
    cchTextMax: Integer;
    iSubItem: Integer;
    iImage: Integer;
    iOrder: Integer;
  end;

  LVITEM = record
    mask: UINT;
    iItem: Integer;
    iSubItem: Integer;
    state: UINT;
    stateMask: UINT;
    pszText: PWideChar;
    cchTextMax: Integer;
    iImage: Integer;
    lParam: LPARAM;
    iIndent: Integer;
  end;

const
  ICC_LISTVIEW_CLASSES = $00000001;

  LVM_FIRST = $1000;

  LVM_GETNEXTITEM = LVM_FIRST + 12;

  LVSCW_AUTOSIZE = -1;
  LVSCW_AUTOSIZE_USEHEADER = -2;
  LVM_SETCOLUMNWIDTH = LVM_FIRST + 30;

  LVM_SETEXTENDEDLISTVIEWSTYLE = LVM_FIRST + 54;
  LVM_SETITEM = LVM_FIRST + 76;
  LVM_INSERTITEM = LVM_FIRST + 77;
  LVM_INSERTCOLUMN = LVM_FIRST + 97;

  LVS_EX_FULLROWSELECT = $00000020;

  LVCF_TEXT = $0004;
  LVCF_SUBITEM = $0008;

  LVIF_TEXT = $00000001;

  LVIS_SELECTED = $0002;

function InitCommonControlsEx(var Icce: TInitCommonControlsEx): BOOL; stdcall;

implementation

const
  comctl32 = 'comctl32.dll';

function InitCommonControlsEx; external comctl32 name 'InitCommonControlsEx';

end.
